﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGScrollBehaviorCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = vm;
        }

        private void resetSourceBtn_Click(object sender, RoutedEventArgs e)
        {

            var x = xdg1.GetRecordsInView(true);
            DataRecord lastRecord = x[x.Count() - 1] as DataRecord;

            int index = xdg1.Records.IndexOf(lastRecord) - 1;

            xdg1.DataSource = null;
            xdg1.DataSource = vm.Data;

            Dispatcher.BeginInvoke(new Action(() =>
            {
                xdg1.BringRecordIntoView(xdg1.Records[index]);
            }));
        }

        int count = 100;
        Random r = new Random();
        private void addRecordBtn_Click(object sender, RoutedEventArgs e)
        {
            vm.Data.Insert(0, new SampleData() { ID = count, Label = "Label " + count.ToString(), Number = r.Next(1000) });
            count++;
        }
    }
}
